#9 Obsoletes abrt-plugin-sosreport
Merged a year ago by msrb. Opened a year ago by sergiomb.
Unknown source f33  into  f33

file modified
+6 -1
@@ -49,7 +49,7 @@

  Summary: Automatic bug detection and reporting tool

  Name: abrt

  Version: 2.14.5

- Release: 1%{?dist}

+ Release: 2%{?dist}

  License: GPLv2+

  URL: https://abrt.readthedocs.org/

  Source: https://github.com/abrt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
@@ -107,6 +107,8 @@

  %if 0%{?fedora}

  Requires: libreport-plugin-systemd-journal

  %endif

+ # to fix upgrade path abrt-plugin-sosreport was removed in the previous commit.

+ Obsoletes: abrt-plugin-sosreport < 2.14.5

  

  #gui

  BuildRequires: libreport-gtk-devel >= %{libreport_ver}
@@ -995,6 +997,9 @@

  %config(noreplace) %{_sysconfdir}/profile.d/abrt-console-notification.sh

  

  %changelog

+ * Sat Apr 24 2021 Sérgio Basto <sergio@serjux.com> - 2.14.5-2

+ - Obsoletes abrt-plugin-sosreport

+ 

  * Tue Dec 01 2020 Michal Fabik <mfabik@redhat.com> 2.14.5-1

  - Fix invalid free (rhbz#1895660)

  - Fix crash during local processing (rhbz#1881745)

To fix upgrade path abrt-plugin-sosreport was removed in the previous commit.

Fix this:

dnf update 
Last metadata expiration check: 0:08:16 ago on Sun 25 Apr 2021 01:39:28 AM WEST.
Dependencies resolved.

 Problem 1: package abrt-plugin-sosreport-2.14.4-6.fc33.x86_64 requires abrt = 2.14.4-6.fc33, but none of the providers can be installed
  - cannot install both abrt-2.14.5-1.fc33.x86_64 and abrt-2.14.4-6.fc33.x86_64
  - cannot install both abrt-2.14.4-6.fc33.x86_64 and abrt-2.14.5-1.fc33.x86_64
  - cannot install the best update candidate for package abrt-plugin-sosreport-2.14.4-6.fc33.x86_64
  - cannot install the best update candidate for package abrt-2.14.4-6.fc33.x86_64
 Problem 2: problem with installed package abrt-plugin-sosreport-2.14.4-6.fc33.x86_64
  - package abrt-plugin-sosreport-2.14.4-6.fc33.x86_64 requires abrt = 2.14.4-6.fc33, but none of the providers can be installed
  - cannot install both abrt-2.14.5-1.fc33.x86_64 and abrt-2.14.4-6.fc33.x86_64
  - cannot install both abrt-2.14.4-6.fc33.x86_64 and abrt-2.14.5-1.fc33.x86_64
  - package abrt-addon-ccpp-2.14.5-1.fc33.x86_64 requires abrt = 2.14.5-1.fc33, but none of the providers can be installed
  - cannot install the best update candidate for package abrt-addon-ccpp-2.14.4-6.fc33.x86_64

with this:

Upgrading:
 abrt                                       x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                  499 k
     replacing  abrt-plugin-sosreport.x86_64 2.14.4-6.fc33
 abrt-addon-ccpp                            x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                  132 k
 abrt-addon-kerneloops                      x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   49 k
 abrt-addon-pstoreoops                      x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   25 k
 abrt-addon-vmcore                          x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   36 k
 abrt-addon-xorg                            x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   40 k
 abrt-cli                                   x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   15 k
 abrt-console-notification                  x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   16 k
 abrt-dbus                                  x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   72 k
 abrt-desktop                               x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   15 k
 abrt-gui                                   x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   47 k
 abrt-gui-libs                              x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   27 k
 abrt-libs                                  x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   41 k
 abrt-plugin-bodhi                          x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   32 k
 abrt-retrace-client                        x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   36 k
 abrt-tui                                   x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   43 k
 python3-abrt                               x86_64                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   41 k
 python3-abrt-addon                         noarch                  2.14.5-2.fc33                  sergiomb-builds_for_Stable_Releases                   24 k

Could you please submit these changes upstream? github.com/abrt/abrt/
Thank you.

@mgrabovs I can do that :)

@sergiomb Thank you for the fix! Let's merge the rawhide version first.

Pull-Request has been merged by msrb

a year ago
Metadata